Summary:        Apache SSHD
Name:           apache-sshd
Version:        2.8.0
Release:        3%{?dist}
License:        ASL 2.0 and ISC
URL:            http://mina.apache.org/sshd-project
Source0:        https://archive.apache.org/dist/mina/sshd/%{version}/apache-sshd-%{version}-src.tar.gz

Patch3000:      0001-Avoid-optional-dependency-on-native-tomcat-APR-libra.patch

BuildRequires: mvn(org.slf4j:slf4j-api) mvn(org.apache.maven.plugins:maven-clean-plugin) mvn(org.bouncycastle:bcpkix-jdk15on) mvn(org.bouncycastle:bcpg-jdk15on)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin) mvn(org.codehaus.plexus:plexus-archiver) mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.apache.maven.plugins:maven-dependency-plugin) mvn(org.apache.maven.plugins:maven-remote-resources-plugin) mvn(org.apache.maven.surefire:surefire-junit47)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.maven:maven-archiver) mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: maven-local mvn(junit:junit) mvn(net.i2p.crypto:eddsa) mvn(org.apache:apache:pom:)

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
Apache MINA SSHD is a 100% pure java library to support the SSH protocols on
both the client and server side. It does not aim at being a replacement for
the SSH client or SSH server from Unix operating systems, but rather provides
support for Java based applications requiring SSH support.

The library can leverage several I/O back-ends:

 - The default transport is built-in and uses Java’s AsynchronousSocketChannels.
 - Apache MINA, a scalable and high performance asynchronous I/O library, can be used instead, or
   the Netty asynchronous event-driven network framework is also supported.

%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
This package provides %{name}.

%prep
%autosetup -p1

rm -rf sshd-core/src/main/java/org/apache/sshd/agent/unix

%pom_remove_dep :spring-framework-bom
%pom_remove_dep :testcontainers-bom sshd-sftp sshd-core

%pom_disable_module assembly
%pom_disable_module sshd-mina
%pom_disable_module sshd-netty
%pom_disable_module sshd-ldap
%pom_disable_module sshd-git
%pom_disable_module sshd-contrib
%pom_disable_module sshd-spring-sftp
%pom_disable_module sshd-cli
%pom_disable_module sshd-openpgp

%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :gmavenplus-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-pmd-plugin
%pom_remove_plugin :maven-antrun-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :impsort-maven-plugin
%pom_remove_plugin :formatter-maven-plugin . sshd-core

%pom_xpath_inject "pom:configuration/pom:instructions" "<_nouses>true</_nouses>" .

%build
%mvn_build -f -- -Dworkspace.root.dir=$(pwd)

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.md
%license LICENSE.txt NOTICE.txt assembly/src/main/legal/licenses/jbcrypt.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt assembly/src/main/legal/licenses/jbcrypt.txt

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 cunshunxia <cunshunxia@tencent.com> - 2.8.0-1
- initial build
